* NOTE: You need to set the Stata working directory to the path
* where the data file is located.

set more off

clear
quietly infix                 ///
  str     gisjoin    1-4      ///
  str     state      5-28     ///
  str     statefp    29-30    ///
  str     statenh    31-33    ///
  double  a00aa1790  34-44    ///
  double  a00aa1800  45-55    ///
  double  a00aa1810  56-66    ///
  double  a00aa1820  67-77    ///
  double  a00aa1830  78-88    ///
  double  a00aa1840  89-99    ///
  double  a00aa1850  100-110  ///
  double  a00aa1860  111-121  ///
  double  a00aa1870  122-132  ///
  double  a00aa1880  133-143  ///
  double  a00aa1890  144-154  ///
  double  a00aa1900  155-165  ///
  double  a00aa1910  166-176  ///
  double  a00aa1920  177-187  ///
  double  a00aa1930  188-198  ///
  double  a00aa1940  199-209  ///
  double  a00aa1950  210-220  ///
  double  a00aa1960  221-231  ///
  double  a00aa1970  232-242  ///
  double  a00aa1980  243-253  ///
  double  a00aa1990  254-264  ///
  double  a00aa2000  265-275  ///
  double  a00aa2010  276-286  ///
  double  a00aa2020  287-297  ///
  using `"nhgis0730_ts_nominal_state.dat"'


format a00aa1790 %11.0f
format a00aa1800 %11.0f
format a00aa1810 %11.0f
format a00aa1820 %11.0f
format a00aa1830 %11.0f
format a00aa1840 %11.0f
format a00aa1850 %11.0f
format a00aa1860 %11.0f
format a00aa1870 %11.0f
format a00aa1880 %11.0f
format a00aa1890 %11.0f
format a00aa1900 %11.0f
format a00aa1910 %11.0f
format a00aa1920 %11.0f
format a00aa1930 %11.0f
format a00aa1940 %11.0f
format a00aa1950 %11.0f
format a00aa1960 %11.0f
format a00aa1970 %11.0f
format a00aa1980 %11.0f
format a00aa1990 %11.0f
format a00aa2000 %11.0f
format a00aa2010 %11.0f
format a00aa2020 %11.0f

label var gisjoin   `"GIS Join Match Code"'
label var state     `"NHGIS Integrated State Name"'
label var statefp   `"FIPS State Code"'
label var statenh   `"NHGIS Integrated State Code"'
label var a00aa1790 `"1790: Persons: Total"'
label var a00aa1800 `"1800: Persons: Total"'
label var a00aa1810 `"1810: Persons: Total"'
label var a00aa1820 `"1820: Persons: Total"'
label var a00aa1830 `"1830: Persons: Total"'
label var a00aa1840 `"1840: Persons: Total"'
label var a00aa1850 `"1850: Persons: Total"'
label var a00aa1860 `"1860: Persons: Total"'
label var a00aa1870 `"1870: Persons: Total"'
label var a00aa1880 `"1880: Persons: Total"'
label var a00aa1890 `"1890: Persons: Total"'
label var a00aa1900 `"1900: Persons: Total"'
label var a00aa1910 `"1910: Persons: Total"'
label var a00aa1920 `"1920: Persons: Total"'
label var a00aa1930 `"1930: Persons: Total"'
label var a00aa1940 `"1940: Persons: Total"'
label var a00aa1950 `"1950: Persons: Total"'
label var a00aa1960 `"1960: Persons: Total"'
label var a00aa1970 `"1970: Persons: Total"'
label var a00aa1980 `"1980: Persons: Total"'
label var a00aa1990 `"1990: Persons: Total"'
label var a00aa2000 `"2000: Persons: Total"'
label var a00aa2010 `"2010: Persons: Total"'
label var a00aa2020 `"2020: Persons: Total"'


